Loading...
Searching...
No Matches
gtsam::traits< Cyclic< N > > Struct Template Reference

## Detailed Description

template<size_t N>
struct gtsam::traits< Cyclic< N > >

Define cyclic group to be a model of the Additive Group concept.

Inheritance diagram for gtsam::traits< Cyclic< N > >:

## Additional Inherited Members

Public Member Functions inherited from gtsam::Testable< Cyclic< N > >
| BOOST_CONCEPT_ASSERT ((HasTestablePrereqs< Cyclic< N > >))
Static Public Member Functions inherited from gtsam::Testable< Cyclic< N > >
static void | Print (const Cyclic< N > &m, const std::string &str="")
static bool | Equals (const Cyclic< N > &m1, const Cyclic< N > &m2, double tol=1e-8)

The documentation for this struct was generated from the following file:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/geometry/Cyclic.h